/********************************************************************************************
**   Suchmaschine fuer private Homepages
**
**   Autor: Thomas Meyer   Mail: tom@all-community.de
**
**   nicht für Firmen oder kommerzielle Nutzung, keine unerlaubte Weitergabe, kein Verkauf
**
**   © 2004, Thomas Meyer www.All-Community.de - Copyright Hinweis nicht entfernen!
**
*********************************************************************************************/

var trefferProSeite = 10;

function show(i, id) {
  i = (i<0) ? 0 : i;
  var maximum = (i+trefferProSeite>trefferliste.length) ? trefferliste.length : i+trefferProSeite;
  var minimum = (i-trefferProSeite<0) ? 0 : i-trefferProSeite;

  if (document.getElementById) {
    var ziel = document.getElementById(id);
    var ergebnis = "";

    if (trefferliste.length>trefferProSeite) {
      ergebnis += '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td align="center" width="20%">\n';
		    if (i>minimum) {
		      ergebnis += '<b><a CLASS="KOMMENTAR" href="javascript:show('+minimum+', \''+id+'\')" target="_self">'+language['back']+'</a></b>\n';
		    } else {
		      ergebnis += '&nbsp;';
		    }
		
		    ergebnis += '</td><td align=center width="40%">\n';
		    ergebnis += '<P CLASS="KOMMENTAR"><b>'+language['show']+':</b> '+maximum+language['of']+trefferliste.length+'</P>\n';
		    ergebnis += '</td><td align=center width="20%">\n';
		
		    if (maximum<trefferliste.length) {
		      ergebnis += '<b><a CLASS="KOMMENTAR" href="javascript:show('+maximum+', \''+id+'\')" target="_self">'+language['next']+'</a></b>\n';
		    } else {
		      ergebnis += '&nbsp;';
		    }
      ergebnis += '</td></tr></table>';
				}

    for (j=i;j<maximum;j++) {
      ergebnis += unescape((trefferliste[j]).replace(/#/g, "%"))+"\n";
    }

    ergebnis += '<P CLASS="KOMMENTAR">'+language['results']+trefferliste.length+language['hits']+'</P>\n';

    ziel.innerHTML = ergebnis;

  } else {
    for (j=0;j<trefferliste.length;j++) {
      document.writeln(trefferliste[j]);
    }
  }
}

function whatsRelated() {

  var infoSeite = window.open(language['whatsrelated.html'], "_blank", "width=350, height=500, scrollbars=yes");
  infoSeite.caller = this;
  infoSeite.focus();

};

function about() {

  var infoSeite = window.open(language['about.html'], "_blank", "width=400, height=500");
  infoSeite.caller = this;
  infoSeite.focus();

};

// © 2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
